package com.persagy.server.models

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column

/**
 * 字典统计不能同步的设备
 *
 * @author 张维新
 */
class EquipDictStatistics : Serializable {

    /** 类型 */
    @ApiModelProperty(value = "类型")
    @Column(name = "category")
    @JSONField(name = "Category")
    var category: String? = null

    /** 类型名称 */
    @ApiModelProperty(value = "类型名称")
    @Column(name = "category_name")
    @JSONField(name = "CategoryName")
    var category_name: String? = null

    /** 数量 */
    @ApiModelProperty(value = "数量")
    @Column(name = "count")
    @JSONField(name = "Count")
    var count: String? = null

} // class EquipDictStatistics