package com.persagy.server.models.requests

import com.alibaba.fastjson.annotation.JSONField
import com.persagy.server.datacenter.models.entities.assistant.TaskPic
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable


/**
 * 增量附件
 */
class EquipUpDateEnclosure :Serializable {

    /**
     * 设备id
     */
    @ApiModelProperty(value = "设备id",required = true)
    @JSONField(name = "EquipId")
    var equipId: String? = null

    /** 保险文件 */
    @ApiModelProperty(value = "保险文件",required = true)
    @JSONField(name = "InsuranceFile")
    var insuranceFile: ArrayList<TaskPic>? = null

    /** 设备铭牌照片 */
    @ApiModelProperty(value = "设备铭牌照片",required = true)
    @JSONField(name = "Nameplate")
    var nameplate: ArrayList<TaskPic>? = null

    /** 设备照片 */
    @ApiModelProperty(value = "设备照片",required = true)
    @JSONField(name = "Pic")
    var Pic: ArrayList<TaskPic>? = null

    /** 设备图纸 */
    @ApiModelProperty(value = "设备图纸",required = true)
    @JSONField(name = "Drawing")
    var drawing: ArrayList<TaskPic>? = null

    /** 设备文档 */
    @ApiModelProperty(value = "设备文档",required = true)
    @JSONField(name = "Archive")
    var archive: ArrayList<TaskPic>? = null

    /** 安装照片 */
    @ApiModelProperty(value = "安装照片",required = true)
    @JSONField(name = "InstallPic")
    var installPic: ArrayList<TaskPic>? = null

    /** 安装图纸 */
    @ApiModelProperty(value = "安装图纸",required = true)
    @JSONField(name = "InstallDrawing")
    var installDrawing: ArrayList<TaskPic>? = null

    /** 安装质检报告 */
    @ApiModelProperty(value = "安装质检报告",required = true)
    @JSONField(name = "CheckReport")
    var checkReport: ArrayList<TaskPic>? = null

    /** 操作说明书 */
    @ApiModelProperty(value = "操作说明书",required = true)
    @JSONField(name = "OperationManual")
    var operationManual: ArrayList<TaskPic>? = null

    /** 产品合格证 */
    @ApiModelProperty(value = "产品合格证",required = true)
    @JSONField(name = "ProductCertification")
    var productCertification: ArrayList<TaskPic>? = null

    /** 维修保养手册 */
    @ApiModelProperty(value = "维修保养手册",required = true)
    @JSONField(name = "MaintainManual")
    var maintainManual: ArrayList<TaskPic>? = null

    /** 安装说明书 */
    @ApiModelProperty(value = "安装说明书",required = true)
    @JSONField(name = "InstallInstruction")
    var installInstruction: ArrayList<TaskPic>? = null

    /** 验收报告 */
    @ApiModelProperty(value = "验收报告",required = true)
    @JSONField(name = "AcceptanceReport")
    var acceptanceReport: ArrayList<TaskPic>? = null

    /** 进场验收单 */
    @ApiModelProperty(value = "进场验收单",required = true)
    @JSONField(name = "ApproachingAcceptance")
    var approachingAcceptance: ArrayList<TaskPic>? = null

    /** 供应合同 */
    @ApiModelProperty(value = "供应合同",required = true)
    @JSONField(name = "SupplierContract")
    var supplierContract: ArrayList<TaskPic>? = null

    /** 检测报告 */
    @ApiModelProperty(value = "检测报告",required = true)
    @JSONField(name = "TestReport")
    var testReport: ArrayList<TaskPic>? = null

    /** 原厂证明 */
    @ApiModelProperty(value = "原厂证明",required = true)
    @JSONField(name = "OriginalCertificate")
    var originalCertificate: ArrayList<TaskPic>? = null


} // Class EquipUpDateEnclosure