package com.persagy.server.datacenter.models.entities.dict

import com.persagy.service.models.SBaseEntity
import io.swagger.annotations.ApiModelProperty

/**
 * 字典 批量处理
 *
 * @author wx  <zhangweixin@sagacloud.cn>
 */
class DictBatchProcessing : SBaseEntity(){

    /** 方案 id */
    @ApiModelProperty(value = "方案 id")
    var schemeId:String? = null

    /** 优先级列表 */
    @ApiModelProperty(value = "优先级列表")
    var priorityList:ArrayList<String>? = null

    /** 一级标签名称列表 */
    @ApiModelProperty(value = "一级标签名称列表")
    var firstNameList:ArrayList<String>? = null

} // Class DictBatchProcessing