package com.persagy.server.syn.models.api.obj

import com.alibaba.fastjson.JSONObject
import com.persagy.server.syn.Opts
import com.persagy.service.utils.SSpringContextUtil

/**
 * 数据中台至数据中心
 *
 * @author wx  <zhangweixin@sagacloud.com>
 * @date  2020/10/18 10:15
 */
object ProjectApi {

    /** 配置实例 */
    private val opts: Opts by lazy {
        SSpringContextUtil.getBean(Opts::class.java) as Opts
    } // opts

    /**
     *
     */
    fun projectQuery(groupCode: String){
        val url = "${opts.dataPlatform}/instance/object/query?groupCode=${groupCode}"
        val jsonObject = JSONObject()
        val jsonObject2 = JSONObject()
        jsonObject2["classCode"] = groupCode
        jsonObject2["valid"] = 1
        jsonObject["criteria"] = jsonObject2

//        SHttpUtil.postObject<GroupResponse>(url, jsonObject)


    }



}