package com.persagy.server.models.requests

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable

/**
 * 和竖井关联的空间垂直交通关系
 */
class ShaftSpaceVertical : Serializable{

    @ApiModelProperty(value = "建筑体id")
    @JSONField(name = "BuildingId")
    var buildingId: String? = null

    @ApiModelProperty(value = "竖井id")
    @JSONField(name = "ShaftId")
    var shaftId: String? = null

    @ApiModelProperty(value = "空间类型")
    @JSONField(name = "ObjectType")
    var objectType: String? = null

    @ApiModelProperty(value = "AI开关")
    @JSONField(name = "AiSwitch")
    var aiSwitch:Boolean? = false

} // Class ShaftSpaceVertical